Scan an EVM transaction
curl --request POST \
--url https://api.portalhq.io/api/v3/clients/me/integrations/hypernative/evm/scan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction": {
"chain": "<string>",
"fromAddress": "<string>",
"toAddress": "<string>",
"input": "<string>",
"value": 123,
"nonce": 123,
"hash": "<string>",
"gas": 123,
"gasPrice": 123,
"maxPriorityFeePerGas": 123,
"maxFeePerGas": 123
},
"url": "<string>",
"blockNumber": 123,
"validateNonce": true,
"showFullFindings": true,
"policy": "<string>"
}
'import requests
url = "https://api.portalhq.io/api/v3/clients/me/integrations/hypernative/evm/scan"
payload = {
"transaction": {
"chain": "<string>",
"fromAddress": "<string>",
"toAddress": "<string>",
"input": "<string>",
"value": 123,
"nonce": 123,
"hash": "<string>",
"gas": 123,
"gasPrice": 123,
"maxPriorityFeePerGas": 123,
"maxFeePerGas": 123
},
"url": "<string>",
"blockNumber": 123,
"validateNonce": True,
"showFullFindings": True,
"policy": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transaction: {
chain: '<string>',
fromAddress: '<string>',
toAddress: '<string>',
input: '<string>',
value: 123,
nonce: 123,
hash: '<string>',
gas: 123,
gasPrice: 123,
maxPriorityFeePerGas: 123,
maxFeePerGas: 123
},
url: '<string>',
blockNumber: 123,
validateNonce: true,
showFullFindings: true,
policy: '<string>'
})
};
fetch('https://api.portalhq.io/api/v3/clients/me/integrations/hypernative/evm/scan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"rawResponse": {
"assessmentId": "<string>",
"assessmentTimestamp": "<string>",
"recommendation": "<string>",
"expectedStatus": "<string>",
"findings": [
{}
],
"involvedAssets": [
{}
],
"balanceChanges": [
{}
],
"parsedActions": [
{}
],
"trace": [
{
"from": "<string>",
"to": "<string>",
"funcId": "<string>",
"callType": "<string>",
"value": "<string>",
"traceAddress": [
123
],
"status": true,
"callInput": "<string>",
"extraInfo": {}
}
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}Hypernative
Scan an EVM transaction
Scans an EVM transaction for security risks using Hypernative.
POST
/
clients
/
me
/
integrations
/
hypernative
/
evm
/
scan
Scan an EVM transaction
Authorizations
Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.
Body
application/json
Response
Scan completed successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I